# A small, self-contained, cross-platform web server for development

This tool helps to serve files.

## Install

Conan is a binary file that must be stored in a directory.
The files can be found [here](http://download.schukai.com/tools/conan/).


```bash
wget -O ~/.local/bin/conan  http://download.schukai.com/tools/conan/conan-$( uname -s | tr [:upper:] [:lower:])-$(echo `uname -m | sed s/aarch64/arm64/ | sed s/x86_64/amd64/`)  
## For Linux, the execution bit must still be set.
chmod u+x ~/.local/bin/conan
```

## Commands

### General Parameters

#### Configuration

```yaml
Server:
  
  # The hostname or IP address of the server (CONAN_SERVER_HOST)
  # Domain, IP or hostname of the server
  # Host: localhost:8080
  
  # The port of the server (CONAN_SERVER_ADDRESS)
  # Address: localhost
  
  # The port of the server (CONAN_SERVER_PORT)
  # Port: 8080
  
  # 
  Path:
    # The path to the server (CONAN_SERVER_WEB_PATH)  
    Web: web
    
  Watch:
    - Path: src
      Command: /bin/bash -c "npx esbuild --bundle --outfile={{ .WebPath }}/scripts/bundle.js --sourcemap {{ .Path }}"
      Exclude:
        - ~$
        - ^\.
    - Path: web
      Exclude:
        - ~$
        - ^\.
    
  Flags:
    FollowSymlinks: true
      

```

### Server

Start server and deliver files.

```bash
conan server serve
```

Start with configuration file.

```bash
conan server start --config config.yaml
```

### Help

There is help on the command line for each individual command.

```bash
conan --help
```

## Change Log

- Version 1.0
    - Initial release


## License # Credits

- Icons Font Face - https://fontawesome.com/
- Bootstrap 5 - http://getbootstrap.com/
