#############################################################################################
#############################################################################################
##
## INSTALL jsdoc.json
##
#############################################################################################
#############################################################################################

define JSDOCJSON
{
  "tags": {
    "allowUnknownTags": true
  },
  "source": {
    "include": "$(SOURCE_PATH)",
    "includePattern": "\\.js$$",
    "excludePattern": ""
  },
  "plugins": [
    "plugins/markdown",
    "jsdoc-plantuml"
  ],
  "opts": {
    "template": "node_modules/clean-jsdoc-theme",
    "encoding": "utf8",
    "destination": "$(BUILD_PATH)/docs/",
    "recurse": true,
    "verbose": true,
    "theme_opts": {
      "theme": "light",
      "title": "$(COMPONENT_NAME)",
      "meta": [
        {
          "name": "author",
          "content": "schukai GmbH"
        },
        {
          "name": "description",
          "content": "javascript library for ..."
        }
      ],
      "search": true,
      "add_style_path": [
        {
          "href": "https://monsterjs.org/assets/prettify.css",
          "crossorigin": "anonymous",
          "rel": "stylesheet"
        }
      ],
      "add_script_path": [
        {
          "src": "https://code.jquery.com/jquery-3.5.1.js",
          "integrity": "sha256-QWo7LDvxbWT2tbbQ97B53yJnYU3WhH/C8ycbRAkjPDc=",
          "crossorigin": "anonymous"
        },
      ],
      "footer": "<a href='https://about.schukai.com/de/impressum/'>Imprint</a>",
      "overlay_scrollbar": {
        "options": {
        }
      },
      "resizeable": {
        "navbar": {
          "min": "300",
          "max": "600"
        }
      },
      "codepen": {
        "enable_for": [
          "examples"
        ],
        "options": {
          "title": "javascript library by schukai GmbH",
          "description": "the example ...",
          "editors": "0012"
        }
      },
      "sections": [
        "Tutorials",
        "Namespaces",
        "Classes",
        "Modules",
        "Externals",
        "Events",
        "Mixins",
        "Interfaces",
        "Global",
        "Menu"
      ]
    }
  },
  "templates": {
    "cleverLinks": true,
    "monospaceLinks": false,
    "default": {
      "outputSourceFiles": false
    }
  },
  "plantuml": {
    "puml": {
      "create": true,
      "destination": "$(BUILD_PATH)/docs/puml"
    },
    "images": {
      "create": true,
      "destination": "$(BUILD_PATH)/docs/images",
      "defaultFormat": "svg"
    }
  }
}
endef

export JSDOCJSON
$(DEPLOYMENT_PATH)jsdoc.json:
	$(QUITE) $(ECHO) "$$JSDOCJSON" >> $@